﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="bo"
    elementFormDefault="qualified"
    xmlns:xs="http://www.w3.org/2001/XMLSchema">

  <xs:include schemaLocation="ViewModel.Globals.xsd"/>

  <xs:simpleType name="commandName">
    <xs:restriction base="xs:string">
      <xs:pattern value=".*Command"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:complexType name="elementCommand">
    <xs:sequence minOccurs="0" maxOccurs="1">
      <xs:element name ="Description">
        <xs:simpleType>
          <xs:restriction base="xs:string"/>
        </xs:simpleType>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="Name" type="commandName" use="required"/>
    <xs:attribute name="ArgumentType" type="xs:string"/>
    <xs:attribute name="ParameterType" type="xs:string"/>
    <xs:attribute name="DependOn" type="xs:string"/>
  </xs:complexType>

</xs:schema>
